Name: pngnq
Summary: Pngnq is a tool for quantizing PNG images in RGBA format
Version: 0.5
Release: 8%{?dist}
License: BSD with advertising and MIT and BSD
Group: Applications/Multimedia
URL: http://pngnq.sourceforge.net/
Source0: http://dl.sf.net/pngnq/pngnq-%{version}-src.tar.gz

# Makefile tweaks for Fedora build.
Patch0: %{name}-%{version}-makefile.patch

# http://sourceforge.net/tracker/index.php?func=detail&aid=2211648&group_id=213072&atid=1024254
Patch1: %{name}-%{version}-getopt.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libpng-devel

%description
Pngnq is a tool for quantizing PNG images in RGBA format.

The neuquant algorithm uses a neural network to optimise the color
map selection. This is fast and quite accurate, giving good results
on many types of images.

%prep
%setup -q -n %{version}
%patch0 -p1
%patch1 -p0

%build
export CFLAGS="%{optflags}"
%{__make} %{?_smp_mflags} all

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE README*
%{_bindir}/*
%{_mandir}/man1/*1*

%changelog
* Tue Feb 16 2010 - Gerd Hoffmann <kraxel@redhat.com> - 0.5-8
- Fix FTBFS by adding -lz -lm to ldlibs (#564721).

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 3 2008 - Gerd Hoffmann <kraxel@redhat.com> - 0.5-5.fc9
- add comments to the patches.
- fix rpm macro usage.

* Fri Oct 31 2008 - Gerd Hoffmann <kraxel@redhat.com> - 0.5-4.fc9
- Updated Licence tag, according to advice from fedora-legal.

* Fri Oct 31 2008 - Gerd Hoffmann <kraxel@redhat.com> - 0.5-3.fc9
- Use $RPM_OPT_FLAGS.
- Also package up pngcomp.

* Wed Oct 15 2008 - Gerd Hoffmann <kraxel@redhat.com> - 0.5-2.fc9
- add dist tag to release.
- fix rpmlint warnings.
- TODO: licence to be clarified.

* Mon Jul 26 2008 - Patrick Steiner <patrick.steiner@a1.net> - 0.5-1
- Initial package.
